Bug 6598 - Enable CONFIG_EFI_STUB in kernel
: Enable CONFIG_EFI_STUB in kernel
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: Cauldron
: All Linux
: Normal Severity: enhancement
: ---
Assigned To: Thomas Backlund
:
:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-06-27 14:06 CEST by Jérôme Hénin
Modified: 2012-06-30 23:05 CEST (History)
1 user (show)

See Also:
Source RPM: kernel (all versions)
CVE:


Attachments

Description Jérôme Hénin 2012-06-27 14:06:07 CEST
At this point, all mga kernels have the CONFIG_EFI_STUB option undefined.

Enabling this option would let UEFI-based machines boot directly from a boot manager (rEFIt, rEFInd, or built-in boot manager) without an extra bootloader.

See description here:
http://www.rodsbooks.com/efi-bootloaders/efistub.html
https://lkml.org/lkml/2011/10/17/81

This would be all the more helpful that GRUB legacy does not support EFI, and Grub2 integration is still being worked on (see Bug 416).
Comment 1 Thomas Backlund 2012-06-30 23:05:58 CEST
Fixed in SVN for Mageia 2 and Cauldron

Note You need to log in before you can comment on or make changes to this bug.